javax.media.opengl.glu.gl2es1

## Class GLUgl2es1

- java.lang.Object
- - javax.media.opengl.glu.GLU
  - - javax.media.opengl.glu.gl2es1.GLUgl2es1

-     public class GLUgl2es1
      extends GLU

- - ### Field Summary

    - ### Fields inherited from class javax.media.opengl.glu.GLU

      `extensionString, GLU_BEGIN, GLU_CCW, GLU_CW, GLU_EDGE_FLAG, GLU_END, GLU_ERROR, GLU_EXTENSIONS, GLU_EXTERIOR, GLU_FALSE, GLU_FILL, GLU_FLAT, GLU_INSIDE, GLU_INTERIOR, GLU_INVALID_ENUM, GLU_INVALID_OPERATION, GLU_INVALID_VALUE, GLU_LINE, GLU_NONE, GLU_OUT_OF_MEMORY, GLU_OUTSIDE, GLU_POINT, GLU_SILHOUETTE, GLU_SMOOTH, GLU_TESS_AVOID_DEGENERATE_TRIANGLES, GLU_TESS_BEGIN, GLU_TESS_BEGIN_DATA, GLU_TESS_BOUNDARY_ONLY, GLU_TESS_COMBINE, GLU_TESS_COMBINE_DATA, GLU_TESS_COORD_TOO_LARGE, GLU_TESS_EDGE_FLAG, GLU_TESS_EDGE_FLAG_DATA, GLU_TESS_END, GLU_TESS_END_DATA, GLU_TESS_ERROR, GLU_TESS_ERROR_DATA, GLU_TESS_ERROR1, GLU_TESS_ERROR2, GLU_TESS_ERROR3, GLU_TESS_ERROR4, GLU_TESS_ERROR5, GLU_TESS_ERROR6, GLU_TESS_ERROR7, GLU_TESS_ERROR8, GLU_TESS_MAX_COORD, GLU_TESS_MISSING_BEGIN_CONTOUR, GLU_TESS_MISSING_BEGIN_POLYGON, GLU_TESS_MISSING_END_CONTOUR, GLU_TESS_MISSING_END_POLYGON, GLU_TESS_NEED_COMBINE_CALLBACK, GLU_TESS_TOLERANCE, GLU_TESS_VERTEX, GLU_TESS_VERTEX_DATA, GLU_TESS_WINDING_ABS_GEQ_TWO, GLU_TESS_WINDING_NEGATIVE, GLU_TESS_WINDING_NONZERO, GLU_TESS_WINDING_ODD, GLU_TESS_WINDING_POSITIVE, GLU_TESS_WINDING_RULE, GLU_TRUE, GLU_UNKNOWN, GLU_VERSION, GLU_VERTEX, versionString`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `GLUgl2es1()` Instantiates a new OpenGL Utility Library object.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static GL2ES1` | `getCurrentGL2ES1()`
    `int` | `gluBuild1DMipmapLevels(int target, int internalFormat, int width, int format, int type, int userLevel, int baseLevel, int maxLevel, Buffer data)` Optional, throws GLException if not available in profile
    `int` | `gluBuild1DMipmaps(int target, int internalFormat, int width, int format, int type, Buffer data)` Optional, throws GLException if not available in profile
    `int` | `gluBuild2DMipmapLevels(int target, int internalFormat, int width, int height, int format, int type, int userLevel, int baseLevel, int maxLevel, Buffer data)` Optional, throws GLException if not available in profile
    `int` | `gluBuild2DMipmaps(int target, int internalFormat, int width, int height, int format, int type, Buffer data)` Optional, throws GLException if not available in profile
    `int` | `gluBuild3DMipmapLevels(int target, int internalFormat, int width, int height, int depth, int format, int type, int userLevel, int baseLevel, int maxLevel, Buffer data)` Optional, throws GLException if not available in profile
    `int` | `gluBuild3DMipmaps(int target, int internalFormat, int width, int height, int depth, int format, int type, Buffer data)` Optional, throws GLException if not available in profile
    `int` | `gluScaleImage(int format, int widthin, int heightin, int typein, Buffer datain, int widthout, int heightout, int typeout, Buffer dataout)` Optional, throws GLException if not available in profile

    - ### Methods inherited from class javax.media.opengl.glu.GLU

      `createGLU, createGLU, getCurrentGL, gluBeginPolygon, gluCheckExtension, gluCylinder, gluDeleteQuadric, gluDeleteTess, gluDisk, gluEndPolygon, gluErrorString, gluGetString, gluGetTessProperty, gluLookAt, gluLookAt, gluNewQuadric, gluNewQuadric, gluNewQuadric, gluNewTess, gluNextContour, gluOrtho2D, gluOrtho2D, gluPartialDisk, gluPerspective, gluPerspective, gluPickMatrix, gluPickMatrix, gluPickMatrix, gluPickMatrix, gluProject, gluProject, gluProject, gluQuadricDrawStyle, gluQuadricNormals, gluQuadricOrientation, gluQuadricTexture, gluSphere, gluTessBeginContour, gluTessBeginPolygon, gluTessCallback, gluTessEndContour, gluTessEndPolygon, gluTessNormal, gluTessProperty, gluTessVertex, gluUnProject, gluUnProject, gluUnProject, gluUnProject4, gluUnProject4, gluUnProject4, isFunctionAvailable`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### GLUgl2es1

          public GLUgl2es1()

      Instantiates a new OpenGL Utility Library object. A GLU object may be instantiated at any point in the application and is not inherently tied to any particular OpenGL context; however, the GLU object may only be used when an OpenGL context is current on the current thread. Attempts to call most of the methods in the GLU library when no OpenGL context is current will cause an exception to be thrown.

      The returned GLU object is not guaranteed to be thread-safe and should only be used from one thread at a time. Multiple GLU objects may be instantiated to be used from different threads simultaneously.

  - ### Method Detail

    - #### getCurrentGL2ES1

          public static final GL2ES1 getCurrentGL2ES1()
                                               throws GLException

      Throws:
        `GLException`

    - #### gluScaleImage

          public final int gluScaleImage(int format,
                          int widthin,
                          int heightin,
                          int typein,
                          Buffer datain,
                          int widthout,
                          int heightout,
                          int typeout,
                          Buffer dataout)

      Optional, throws GLException if not available in profile
      Overrides:
        `gluScaleImage` in class `GLU`

    - #### gluBuild1DMipmapLevels

          public final int gluBuild1DMipmapLevels(int target,
                                   int internalFormat,
                                   int width,
                                   int format,
                                   int type,
                                   int userLevel,
                                   int baseLevel,
                                   int maxLevel,
                                   Buffer data)

      Optional, throws GLException if not available in profile
      Overrides:
        `gluBuild1DMipmapLevels` in class `GLU`

    - #### gluBuild1DMipmaps

          public final int gluBuild1DMipmaps(int target,
                              int internalFormat,
                              int width,
                              int format,
                              int type,
                              Buffer data)

      Optional, throws GLException if not available in profile
      Overrides:
        `gluBuild1DMipmaps` in class `GLU`

    - #### gluBuild2DMipmapLevels

          public final int gluBuild2DMipmapLevels(int target,
                                   int internalFormat,
                                   int width,
                                   int height,
                                   int format,
                                   int type,
                                   int userLevel,
                                   int baseLevel,
                                   int maxLevel,
                                   Buffer data)

      Optional, throws GLException if not available in profile
      Overrides:
        `gluBuild2DMipmapLevels` in class `GLU`

    - #### gluBuild2DMipmaps

          public final int gluBuild2DMipmaps(int target,
                              int internalFormat,
                              int width,
                              int height,
                              int format,
                              int type,
                              Buffer data)

      Optional, throws GLException if not available in profile
      Overrides:
        `gluBuild2DMipmaps` in class `GLU`

    - #### gluBuild3DMipmapLevels

          public final int gluBuild3DMipmapLevels(int target,
                                   int internalFormat,
                                   int width,
                                   int height,
                                   int depth,
                                   int format,
                                   int type,
                                   int userLevel,
                                   int baseLevel,
                                   int maxLevel,
                                   Buffer data)

      Optional, throws GLException if not available in profile
      Overrides:
        `gluBuild3DMipmapLevels` in class `GLU`

    - #### gluBuild3DMipmaps

          public final int gluBuild3DMipmaps(int target,
                              int internalFormat,
                              int width,
                              int height,
                              int depth,
                              int format,
                              int type,
                              Buffer data)

      Optional, throws GLException if not available in profile
      Overrides:
        `gluBuild3DMipmaps` in class `GLU`

Copyright 2010 JogAmp Community.